Package org.apache.storm.security.auth

# Enum Class ThriftConnectionType

java.lang.Object
java.lang.Enum<ThriftConnectionType>
org.apache.storm.security.auth.ThriftConnectionType

All Implemented Interfaces:
  `Serializable`, `Comparable<ThriftConnectionType>`, `Constable`

public enum ThriftConnectionType extends Enum<ThriftConnectionType>
The purpose for which the Thrift server is created.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `DRPC`
  `DRPC_INVOCATIONS`
  `LOCAL_FAKE`
  `NIMBUS`
  `NIMBUS_TLS`
  `SUPERVISOR`
  `SUPERVISOR_TLS`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getClientCertPath(Map<String,Object> conf)`
  `String`
  `getClientKeyPath(Map<String,Object> conf)`
  `String`
  `getClientKeyStorePassword(Map<String,Object> conf)`
  `String`
  `getClientKeyStorePath(Map<String,Object> conf)`
  `String`
  `getClientTrustStorePassword(Map<String,Object> conf)`
  `String`
  `getClientTrustStorePath(Map<String,Object> conf)`
  `int`
  `getMaxBufferSize(Map<String,Object> conf)`
  `int`
  `getNumThreads(Map<String,Object> conf)`
  `int`
  `getPort(Map<String,Object> conf)`
  `Integer`
  `getQueueSize(Map<String,Object> conf)`
  `String`
  `getServerKeyStorePassword(Map<String,Object> conf)`
  `String`
  `getServerKeyStorePath(Map<String,Object> conf)`
  `String`
  `getServerTrustStorePassword(Map<String,Object> conf)`
  `String`
  `getServerTrustStorePath(Map<String,Object> conf)`
  `Integer`
  `getSocketTimeOut(Map<String,Object> conf)`
  `String`
  `getTransportPlugin(Map<String,Object> conf)`
  `WorkerTokenServiceType`
  `getWtType()`
  Get the corresponding worker token type for this thrift connection.
  `boolean`
  `isClientAuthRequired(Map<String,Object> conf)`
  `boolean`
  `isFake()`
  `boolean`
  `isImpersonationAllowed()`
  Check if SASL impersonation is allowed for this transport type.
  `boolean`
  `isTlsEnabled()`
  `static ThriftConnectionType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static ThriftConnectionType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NIMBUS

    public static final ThriftConnectionType NIMBUS

  - ### NIMBUS_TLS

    public static final ThriftConnectionType NIMBUS_TLS

  - ### SUPERVISOR

    public static final ThriftConnectionType SUPERVISOR

  - ### SUPERVISOR_TLS

    public static final ThriftConnectionType SUPERVISOR_TLS

  - ### DRPC

    public static final ThriftConnectionType DRPC

  - ### DRPC_INVOCATIONS

    public static final ThriftConnectionType DRPC_INVOCATIONS

  - ### LOCAL_FAKE

    public static final ThriftConnectionType LOCAL_FAKE

- ## Method Details

  - ### values

    public static ThriftConnectionType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static ThriftConnectionType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### isFake

    public boolean isFake()

  - ### getTransportPlugin

    public String getTransportPlugin(Map<String,Object> conf)

  - ### getPort

    public int getPort(Map<String,Object> conf)

  - ### getQueueSize

    public Integer getQueueSize(Map<String,Object> conf)

  - ### getNumThreads

    public int getNumThreads(Map<String,Object> conf)

  - ### getMaxBufferSize

    public int getMaxBufferSize(Map<String,Object> conf)

  - ### getSocketTimeOut

    public Integer getSocketTimeOut(Map<String,Object> conf)

  - ### getWtType

    public WorkerTokenServiceType getWtType()
    Get the corresponding worker token type for this thrift connection.

  - ### isImpersonationAllowed

    public boolean isImpersonationAllowed()
    Check if SASL impersonation is allowed for this transport type.
    Returns:
      true if it is else false.

  - ### isTlsEnabled

    public boolean isTlsEnabled()

  - ### isClientAuthRequired

    public boolean isClientAuthRequired(Map<String,Object> conf)

  - ### getServerKeyStorePath

    public String getServerKeyStorePath(Map<String,Object> conf)

  - ### getServerKeyStorePassword

    public String getServerKeyStorePassword(Map<String,Object> conf)

  - ### getServerTrustStorePath

    public String getServerTrustStorePath(Map<String,Object> conf)

  - ### getServerTrustStorePassword

    public String getServerTrustStorePassword(Map<String,Object> conf)

  - ### getClientKeyStorePath

    public String getClientKeyStorePath(Map<String,Object> conf)

  - ### getClientKeyStorePassword

    public String getClientKeyStorePassword(Map<String,Object> conf)

  - ### getClientTrustStorePath

    public String getClientTrustStorePath(Map<String,Object> conf)

  - ### getClientTrustStorePassword

    public String getClientTrustStorePassword(Map<String,Object> conf)

  - ### getClientKeyPath

    public String getClientKeyPath(Map<String,Object> conf)

  - ### getClientCertPath

    public String getClientCertPath(Map<String,Object> conf)